Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Class SVG12CSSEngine

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine
          org.apache.batik.css.engine.SVGCSSEngine
              org.apache.batik.css.engine.SVG12CSSEngine

    public class SVG12CSSEngine

extends SVGCSSEngine

This class provides a CSS engine initialized for SVG.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.engine.CSSEngine
`CSSEngine.CSSNavigableDocumentHandler, CSSEngine.DocumentAdapter, CSSEngine.DOMAttrModifiedListener, CSSEngine.DOMCharacterDataModifiedListener, CSSEngine.DOMNodeInsertedListener, CSSEngine.DOMNodeRemovedListener, CSSEngine.DOMSubtreeModifiedListener, CSSEngine.MainPropertyReceiver, CSSEngine.StyleDeclarationBuilder, CSSEngine.StyleDeclarationDocumentHandler, CSSEngine.StyleDeclarationUpdateHandler, CSSEngine.StyleSheetDocumentHandler`

Field Summary
`static int` | `FINAL_INDEX`
`static int` | `INDENT_INDEX`
`static int` | `LINE_HEIGHT_INDEX`
`static int` | `MARGIN_BOTTOM_INDEX`
`static int` | `MARGIN_LEFT_INDEX`
`static int` | `MARGIN_RIGHT_INDEX`
`static int` | `MARGIN_TOP_INDEX`
`static int` | `SOLID_COLOR_INDEX`
`static int` | `SOLID_OPACITY_INDEX`
`static ShorthandManager[]` | `SVG_SHORTHAND_MANAGERS` The shorthand managers for SVG.
`static ValueManager[]` | `SVG_VALUE_MANAGERS` The value managers for SVG.
`static int` | `TEXT_ALIGN_INDEX`

Fields inherited from class org.apache.batik.css.engine.SVGCSSEngine
`ALIGNMENT_BASELINE_INDEX, BASELINE_SHIFT_INDEX, CLIP_INDEX, CLIP_PATH_INDEX, CLIP_RULE_INDEX, COLOR_INDEX, COLOR_INTERPOLATION_FILTERS_INDEX, COLOR_INTERPOLATION_INDEX, COLOR_PROFILE_INDEX, COLOR_RENDERING_INDEX, CURSOR_INDEX, DIRECTION_INDEX, DISPLAY_INDEX, DOMINANT_BASELINE_INDEX, ENABLE_BACKGROUND_INDEX, FILL_INDEX, FILL_OPACITY_INDEX, FILL_RULE_INDEX, FILTER_INDEX, FLOOD_COLOR_INDEX, FLOOD_OPACITY_INDEX, FONT_FAMILY_INDEX, FONT_SIZE_ADJUST_INDEX, FONT_SIZE_INDEX, FONT_STRETCH_INDEX, FONT_STYLE_INDEX, FONT_VARIANT_INDEX, FONT_WEIGHT_INDEX, GLYPH_ORIENTATION_HORIZONTAL_INDEX, GLYPH_ORIENTATION_VERTICAL_INDEX, IMAGE_RENDERING_INDEX, KERNING_INDEX, LETTER_SPACING_INDEX, LIGHTING_COLOR_INDEX, MARKER_END_INDEX, MARKER_MID_INDEX, MARKER_START_INDEX, MASK_INDEX, OPACITY_INDEX, OVERFLOW_INDEX, POINTER_EVENTS_INDEX, SHAPE_RENDERING_INDEX, SRC_INDEX, STOP_COLOR_INDEX, STOP_OPACITY_INDEX, STROKE_DASHARRAY_INDEX, STROKE_DASHOFFSET_INDEX, STROKE_INDEX, STROKE_LINECAP_INDEX, STROKE_LINEJOIN_INDEX, STROKE_MITERLIMIT_INDEX, STROKE_OPACITY_INDEX, STROKE_WIDTH_INDEX, TEXT_ANCHOR_INDEX, TEXT_DECORATION_INDEX, TEXT_RENDERING_INDEX, UNICODE_BIDI_INDEX, VISIBILITY_INDEX, WORD_SPACING_INDEX, WRITING_MODE_INDEX`

Fields inherited from class org.apache.batik.css.engine.CSSEngine
`ALL_PROPERTIES, alternateStyleSheet, classLocalName, classNamespaceURI, colorIndex, cssBaseURI, cssConditionFactory, cssContext, cssNavigableDocumentListener, document, documentURI, domAttrModifiedListener, domCharacterDataModifiedListener, domNodeInsertedListener, domNodeRemovedListener, domSubtreeModifiedListener, element, fontFaces, fontSizeIndex, indexes, isCSSNavigableDocument, lineHeightIndex, LISTENER_ARRAY, listeners, media, nonCSSPresentationalHints, nonCSSPresentationalHintsNamespaceURI, parser, pseudoElementNames, removedStylableElementSibling, selectorAttributes, shorthandIndexes, shorthandManagers, styleDeclarationBuilder, styleDeclarationDocumentHandler, styleDeclarationUpdateHandler, styleLocalName, styleNamespaceURI, styleSheetDocumentHandler, styleSheetNodes, styleSheetRemoved, userAgent, userAgentStyleSheet, userStyleSheet, valueManagers`

Constructor Summary
`SVG12CSSEngine(Document doc, ParsedURL uri, ExtendedParser p, CSSContext ctx)` Creates a new SVG12CSSEngine.
`SVG12CSSEngine(Document doc, ParsedURL uri, ExtendedParser p, ValueManager[] vms, ShorthandManager[] sms, CSSContext ctx)` Creates a new SVG12CSSEngine.

Method Summary

Methods inherited from class org.apache.batik.css.engine.SVGCSSEngine
`mergeArrays, mergeArrays`

Methods inherited from class org.apache.batik.css.engine.CSSEngine
`addCSSEngineListener, addEventListeners, addMatchingRules, addRules, dispose, disposeStyleMaps, findSelectorAttributes, findStyleSheetNodes, firePropertiesChangedEvent, getCascadedStyleMap, getColorIndex, getComputedStyle, getCSSBaseURI, getCSSContext, getCSSEngineUserAgent, getCSSFirstChild, getCSSNextSibling, getCSSParentNode, getCSSPreviousSibling, getDocument, getFontFaces, getFontSizeIndex, getLineHeightIndex, getNumberOfProperties, getParentCSSStylableElement, getPropertyIndex, getPropertyName, getShorthandIndex, getShorthandManagers, getStyleSheetNodes, getValueManagers, handleAttrModified, handleCharacterDataModified, handleNodeInserted, handleNodeRemoved, handleSubtreeModified, hasStyleSheetNode, importCascadedStyleMaps, inlineStyleAttributeUpdated, invalidateProperties, mediaMatch, nonCSSPresentationalHintUpdated, parsePropertyValue, parseStyleDeclaration, parseStyleSheet, parseStyleSheet, parseStyleSheet, parseStyleSheet, parseStyleSheet, parseStyleSheet, propagateChanges, putAuthorProperty, removeCSSEngineListener, removeEventListeners, setAlternateStyleSheet, setCSSEngineUserAgent, setMainProperties, setMedia, setUserAgentStyleSheet, setUserStyleSheet, sortRules`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SVG_VALUE_MANAGERS

    public static final ValueManager[] SVG_VALUE_MANAGERS

  The value managers for SVG.

### SVG_SHORTHAND_MANAGERS

    public static final ShorthandManager[] SVG_SHORTHAND_MANAGERS

  The shorthand managers for SVG.

### LINE_HEIGHT_INDEX

    public static final int LINE_HEIGHT_INDEX

See Also:
  Constant Field Values

### INDENT_INDEX

    public static final int INDENT_INDEX

See Also:
  Constant Field Values

### MARGIN_BOTTOM_INDEX

    public static final int MARGIN_BOTTOM_INDEX

See Also:
  Constant Field Values

### MARGIN_LEFT_INDEX

    public static final int MARGIN_LEFT_INDEX

See Also:
  Constant Field Values

### MARGIN_RIGHT_INDEX

    public static final int MARGIN_RIGHT_INDEX

See Also:
  Constant Field Values

### MARGIN_TOP_INDEX

    public static final int MARGIN_TOP_INDEX

See Also:
  Constant Field Values

### SOLID_COLOR_INDEX

    public static final int SOLID_COLOR_INDEX

See Also:
  Constant Field Values

### SOLID_OPACITY_INDEX

    public static final int SOLID_OPACITY_INDEX

See Also:
  Constant Field Values

### TEXT_ALIGN_INDEX

    public static final int TEXT_ALIGN_INDEX

See Also:
  Constant Field Values

### FINAL_INDEX

    public static final int FINAL_INDEX

See Also:
  Constant Field Values

Constructor Detail

### SVG12CSSEngine

    public SVG12CSSEngine(Document doc,
                          ParsedURL uri,
                          ExtendedParser p,
                          CSSContext ctx)

  Creates a new SVG12CSSEngine.

  Parameters:
    `doc` - The associated document.
    `uri` - The document URI.
    `p` - The CSS parser to use.
    `ctx` - The CSS context.

### SVG12CSSEngine

    public SVG12CSSEngine(Document doc,
                          ParsedURL uri,
                          ExtendedParser p,
                          ValueManager[] vms,
                          ShorthandManager[] sms,
                          CSSContext ctx)

  Creates a new SVG12CSSEngine.

  Parameters:
    `doc` - The associated document.
    `uri` - The document URI.
    `p` - The CSS parser to use.
    `vms` - Extension value managers.
    `sms` - Extension shorthand managers.
    `ctx` - The CSS context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.